Bug 101386 - (TBbaeb9edc) LTC3738-[perf][specsfs] [BETA] Exception error during network configuration
LTC3738-[perf][specsfs] [BETA] Exception error during network configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 12:22 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 1.2.55
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-12 05:54:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2003-07-31 12:22:41 EDT
The following has be reported by IBM LTC:  
[perf][specsfs] [BETA] Exception error during network configuration
Please fill in each of the sections below.    
    
Hardware Environment:    
4-way SMP IBM 8682    
    
Software Environment:    
RedHat AS 3.0 Beta1   
   
    
Steps to Reproduce:    
1. Install RHAS 3.0 B1  
2. From KDE, select network settings, then network configuration  
3. try to Edit or Delete a network device, e.g., eth0 or eth1  
    
Actual Results:    
Exception occurred and message appeared suggesting this is a bug and it should  
be filed against redhat-config-network.  
    
Expected Results:    
No problem    
  
Additional Information:   
See the attached file dump.  
  
Component: redhat-config-network 
Version: 1.2.51 
Summary: TBbaeb9edc NCDevice.py:113:getDialog:TypeError: exceptions must be 
strings, classes, or instances, not NotImplementedType 
Traceback (most recent call last): 
  File 
"/usr/src/build/279148-noarch/install/usr/share/redhat-config-network/net 
confpkg/gui/maindialog.py", line 734, in on_editButton_clicked 
  File 
"/usr/src/build/279148-noarch/install/usr/share/redhat-config-network/net 
confpkg/gui/maindialog.py", line 825, in on_deviceEditButton_clicked 
  File 
"/usr/src/build/279148-noarch/install/usr/share/redhat-config-network/net 
confpkg/gui/maindialog.py", line 854, in editDevice 
  File 
"/usr/src/build/279148-noarch/install/usr/share/redhat-config-network/net 
confpkg/NCDevice.py", line 113, in getDialog 
TypeError: exceptions must be strings, classes, or instances, not 
NotImplemented 
Type 
 
Local variables in innermost frame: 
self: Device.IP=9.3.192.202 
Device.Type=Ethernet 
Device.Netmask=255.255.255.0 
Device.BootProto=static 
Device.DeviceId=eth0 
Device.Device=eth0 
Device.Gateway=9.3.192.1
Comment 1 Harald Hoyer 2003-08-01 05:11:07 EDT
please attach the output of:
# redhat-config-network-cmd
and all
/etc/sysconfig/network-scripts/ifcfg-* 
files
Comment 2 Harald Hoyer 2003-08-01 09:07:12 EDT
may be fixed with 1.2.54
Comment 3 Matt Wilson 2003-08-11 12:07:32 EDT
Can you follow up with some more info, Glen?
Comment 4 IBM Bug Proxy 2005-02-20 16:55:51 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ACCEPTED                    |CLOSED




------- Additional Comments From khoa@us.ibm.com  2005-02-20 16:54 EST -------
Closing this very old bug now, assuming that it has already been resolved.
If not, please re-open this bug report.  Thanks. 

Note You need to log in before you can comment on or make changes to this bug.